# -*- coding: utf-8 -*-

"""
xueqiu.sheet
~~~~~~~~~~~~

This module contains stock sheet languages.

:copyright: (c) 2019 by 1dot75cm.
:license: MIT, see LICENSE for more details.
"""

income_lang_us = dict(
    sd='开始日期',
    ed='结束日期',
    report_date='报告日期',
    report_name='报告名称',
    report_annual='报告年度',
    report_type_code='报告代码',
    revenue='营业收入',
    othr_revenues='其他收入',
    total_revenue='营业总收入',
    sales_cost='营业成本',
    gross_profit='营业毛利润',
    marketing_selling_etc='市场销售管理费用',
    rad_expenses='研发费用',
    net_interest_expense='净利息费用',
    interest_income='利息收入',
    interest_expense='利息支出',
    total_operate_expenses_si='营业支出特殊科目总计',
    total_operate_expenses='营业支出总计',
    operating_income='营业利润',
    share_of_earnings_of_affiliate='子公司股权权益收入',
    income_from_co_before_tax_si='税前营业收入特殊科目',
    income_from_co_before_it='税前利润',
    income_tax='所得税',
    income_from_co='税后利润',
    net_income='净利润',
    preferred_dividend='优先股股息',
    net_income_atms_interest='归属于少数股东的净利润',
    net_income_atcss='归属于母公司股东的净利润',
    total_compre_income='综合收益总额',
    total_compre_income_atms='归属于少数股东的综合收益',
    total_compre_income_atcss='归属于母公司股东的综合收益',
    total_basic_earning_common_ps='基本每股收益',
    total_dlt_earnings_common_ps='稀释每股收益')

income_lang_hk = dict(
    sd='开始日期',
    ed='结束日期',
    report_date='报告日期',
    report_name='报告名称',
    month_num='月数',
    tto='总营业额',
    slgcost='销售成本',
    gp='毛利',
    otiog='其他收入及收益',
    sr_ta='营业收入合计',
    slgdstexp='销售及分销开支',
    admexp='行政开支',
    otopeexp='其他经营开支',
    topeexp='经营开支总额',
    rshdevexp='研发开支费用',
    tipmcgpvs='减值拨备',
    depaz='折旧摊销',
    opeploinclfincost='扣除融资成本前的经营利润',
    fcgcost='融资成本',
    opeplo='经营利润',
    nosplitems='非经营特殊项目',
    jtctletiascom='联营合营公司',
    plobtx='税前利润',
    tx='所得税',
    txexcliotx='所得税外税金',
    npdsubu='非持续经营业务利润',
    plocyr='税后利润',
    amteqyhdcom='公司股东权益',
    amtmiint='少数股东权益',
    ploashh='股东应得权益',
    otcphio='其他全面收入',
    tcphio='全面收入总额',
    cmnshdiv='普通股股息',
    beps_aju='基本每股收益',
    deps_aju='摊薄每股收益',
    divdbups_ajupd='每股股息')

income_lang_cn = dict(
    report_date='报告日期',
    report_name='报告名称',
    total_revenue='营业总收入',
    revenue='营业收入',
    income_from_chg_in_fv='公允价值变动收益',
    invest_income='投资收益',
    invest_incomes_from_rr='联营合营企业',
    exchg_gain='汇兑收益',
    operating_costs='营业总成本',
    operating_cost='营业成本',
    operating_taxes_and_surcharge='营业税附加税',
    sales_fee='销售费用',
    manage_fee='管理费用',
    financing_expenses='财务费用',
    asset_impairment_loss='资产减值损失',
    op='营业利润',
    non_operating_income='营业外收入',
    non_operating_payout='营业外支出',
    profit_total_amt='利润总额',
    income_tax_expenses='所得税费',
    net_profit='净利润',
    net_profit_atsopc='归属母公司所有者的净利润',
    minority_gal='少数股东损益',
    net_profit_after_nrgal_atsolc='扣非净利润',
    basic_eps='基本每股收益',
    dlt_earnings_per_share='稀释每股收益',
    othr_compre_income='其他综合收益',
    othr_compre_income_atms='少数股东的其他综合收益',
    othr_compre_income_atoopc='归属于母公司所有者的其他综合收益',
    total_compre_income='综合收益总额',
    total_compre_income_atsopc='归属于母公司股东的综合收益总额',
    total_compre_income_atms='少数股东的综合收益总额')

balance_lang_us = dict(
    sd='开始日期',
    ed='结束日期',
    report_date='报告日期',
    report_name='报告名称',
    report_annual='报告年度',
    report_type_code='报告代码',
    cce='现金和现金等价物',
    st_invest='短期投资',
    total_cash='总现金',
    net_receivables='应收账款',
    inventory='库存',
    dt_assets_current_assets='流动资产递延所得税',
    prepaid_expense='预付款',
    current_assets_special_subject='流动资产特殊项目',
    total_current_assets='流动资产合计',
    gross_property_plant_and_equip='固定资产总额',
    accum_depreciation='固定资产折旧',
    net_property_plant_and_equip='固定资产净额',
    equity_and_othr_invest='股权投资和长期投资',
    goodwill='商誉',
    net_intangible_assets='无形资产净额',
    accum_amortization='累计摊销',
    dt_assets_noncurrent_assets='非流动资产递延所得税',
    nca_si='非流动资产特殊项目',
    total_noncurrent_assets='非流动资产合计',
    total_assets_special_subject='资产特殊科目',
    total_assets='总资产',
    st_debt='短期借款',
    accounts_payable='应付账款',
    income_tax_payable='应缴所得税',
    accrued_liab='应计负债',
    deferred_revenue_current_liab='流动负债递延收入',
    current_liab_si='流动负债特殊科目',
    total_current_liab='流动负债合计',
    lt_debt='长期借款',
    deferred_tax_liab='递延所得税负债',
    dr_noncurrent_liab='非流动负债递延收入',
    noncurrent_liab_si='非流动负债特殊科目',
    total_noncurrent_liab='非流动负债合计',
    total_liab_si='负债合计特殊科目',
    total_liab='负债合计',
    asset_liab_ratio='资产负债率',
    preferred_stock='优先股',
    common_stock='普通股',
    add_paid_in_capital='额外实收资本',
    retained_earning='未分配利润',
    treasury_stock='库存股',
    accum_othr_compre_income='累计损益',
    total_holders_equity_si='归属于母公司股东权益特殊项目',
    total_holders_equity='归属于母公司股东权益合计',
    minority_interest='少数股东权益',
    total_equity_special_subject='权益特殊项目',
    total_equity='股东权益合计')

balance_lang_hk = dict(
    sd='开始日期',
    ed='结束日期',
    report_date='报告日期',
    report_name='报告名称',
    month_num='月数',
    cceq='现金和现金等价物',
    fina='金融资产',
    trrb='应收账款',
    iv='存货',
    otca='其他流动资产',
    ca='流动资产合计',
    fxda='固定资产',
    inv='投资',
    iga='无形资产',
    otnca='其他非流动资产',
    otnc='',
    tnca='非流动资产合计',
    ta='总资产',
    trpy='应付账款',
    stdt='短期借款',
    otstdt='其他短期负债',
    clia='流动负债合计',
    ncalia='净流动负债',
    diftatclia='总资产减流动负债',
    ltdt='长期借款',
    otltlia='其他长期负债',
    tnclia='非流动负债合计',
    tlia='总负债',
    nalia='净资产',
    ta_tlia='负债率',
    numtsh='总股本',
    shpm='股份溢价',
    rpaculo='保留利润',
    caprx='资本储备',
    otrx='其他储备',
    trx='总储备',
    shhfd='股东权益',
    miint='少数股东权益',
    teqy='总权益')

balance_lang_cn = dict(
    report_date='报告日期',
    report_name='报告名称',
    currency_funds='货币资金',
    ar_and_br='应收票据及应收账款',
    tradable_fnncl_assets='交易性金融资产',
    bills_receivable='应收票据',
    account_receivable='应收账款',
    pre_payment='预付款项',
    contractual_assets='合同资产',
    interest_receivable='应收利息',
    dividend_receivable='应收股利',
    othr_receivables='其他应收款',
    inventory='存货',
    nca_due_within_one_year='1年内到期的非流动资产',
    current_assets_si='流动资产特殊项目',
    othr_current_assets='其他流动资产',
    total_current_assets='流动资产合计',
    salable_financial_assets='可供出售金融资产',
    saleable_finacial_assets='saleable_finacial_assets',
    held_to_maturity_invest='持有到期投资',
    lt_receivable='长期应收款',
    lt_equity_invest='长期股权投资',
    invest_property='投资性房地产',
    fixed_asset='固定资产',
    construction_in_process='在建工程',
    intangible_assets='无形资产',
    dev_expenditure='开发支出',
    goodwill='商誉',
    lt_deferred_expense='长期待摊费用',
    dt_assets='递延所得税资产',
    noncurrent_assets_si='非流动资产特殊项目',
    othr_noncurrent_assets='其他非流动资产',
    total_noncurrent_assets='非流动资产合计',
    total_assets='资产合计',
    st_loan='短期借款',
    tradable_fnncl_liab='交易性金融负债',
    bp_and_ap='应付票据及应付账款',
    accounts_payable='应付账款',
    bill_payable='应付票据',
    pre_receivable='预收款项',
    contract_liabilities='合同负债',
    payroll_payable='应付职工薪酬',
    tax_payable='应缴税费',
    interest_payable='应付利息',
    dividend_payable='应付股利',
    othr_payables='其他应付款',
    noncurrent_liab_due_in1y='1年内到期的非流动负债',
    current_liab_si='流动负债特殊项目',
    othr_current_liab='其他流动负债',
    total_current_liab='流动负债合计',
    lt_loan='长期借款',
    bond_payable='应付债券',
    lt_payable='长期应付款',
    special_payable='专项应付款',
    estimated_liab='预计负债',
    dt_liab='递延所得税负债',
    noncurrent_liab_si='非流动负债特殊项目',
    othr_non_current_liab='其他非流动负债',
    total_noncurrent_liab='非流动负债合计',
    total_liab='负债合计',
    asset_liab_ratio='负债率',
    shares='股本',
    capital_reserve='资本公积',
    treasury_stock='库存股',
    earned_surplus='盈余公积',
    undstrbtd_profit='未分配利润',
    total_quity_atsopc='归属于母公司股东权益合计',
    minority_equity='少数股东权益',
    total_holders_equity='股东权益合计',
    total_liab_and_holders_equity='负债和股东权益总计')

cash_flow_lang_us = dict(
    sd='开始日期',
    ed='结束日期',
    report_date='报告日期',
    report_name='报告名称',
    report_annual='报告年度',
    report_type_code='报告代码',
    net_cash_provided_by_oa='经营活动产生的现金流量净额',
    net_cash_used_in_ia='投资活动产生的现金流量净额',
    payment_for_property_and_equip='物业设备资金',
    net_cash_used_in_fa='筹资活动产生的现金流量净额',
    effect_of_exchange_chg_on_cce='汇率对现金的影响',
    cce_at_boy='期初现金余额',
    cce_at_eoy='期末现金余额',
    increase_in_cce='现金净增加额',
    depreciation_and_amortization='折旧与摊销',
    operating_asset_and_liab_chg='营运资金变动',
    purs_of_invest='投资购买',
    common_stock_issue='股票发行',
    repur_of_common_stock='股份回购',
    dividend_paid='支付股息')

cash_flow_lang_hk = dict(
    sd='开始日期',
    ed='结束日期',
    report_date='报告日期',
    report_name='报告名称',
    month_num='月数',
    nocf='经营活动产生的现金流量净额',
    depaz='折旧摊销',
    intrc='已收利息',
    intp='已付利息',
    divrc='已收股息',
    divp='已派股息',
    txprf='退回或已缴税项',
    adtfxda='增添固定资产',
    icinv='投资增加',
    dsfxda='出售固定资产',
    dcinv='投资减少',
    ncfrldpty_invact='与关联人的现金流量_投资活动',
    ninvcf='投资活动产生的现金流量净额',
    nicln='新增贷款',
    lnrpa='偿还贷款',
    fxdiodtinstr='定息或债券融资',
    eqyfin='股本融资',
    ncfrldpty_finact='与关联人的现金流量_融资活动',
    rpafxdiodtinstr='偿还定息或债券融资',
    nfcgcf='融资活动产生的现金流量净额',
    ncfdchexrateot='汇率影响',
    icdccceq='现金净增加额',
    cceqbegyr='期初现金余额',
    cceqeyr='期末现金余额')

cash_flow_lang_cn = dict(
    report_date='报告日期',
    report_name='报告名称',
    #经营活动产生的现金流量
    cash_received_of_sales_service='销售商品提供劳务收到的现金',
    refund_of_tax_and_levies='返还税费',
    cash_received_of_othr_oa='收到其他与经营活动有关的现金',
    sub_total_of_ci_from_oa='经营活动现金流入小计',
    goods_buy_and_service_cash_pay='购买商品接受劳务支付的现金',
    cash_paid_to_employee_etc='支付职工薪酬',
    payments_of_all_taxes='支付各项税费',
    othrcash_paid_relating_to_oa='支付其他与经营活动有关的现金',
    sub_total_of_cos_from_oa='经营活动现金流出小计',
    ncf_from_oa='经营活动现金流量净额',
    #投资活动产生的现金流量
    cash_received_of_dspsl_invest='收回投资获得的现金',
    invest_income_cash_received='投资收益获得的现金',
    net_cash_of_disposal_assets='处置固定资产无形资产和其他长期资产收回的现金净额',
    net_cash_of_disposal_branch='处置子公司收到的现金净额',
    cash_received_of_othr_ia='收到其他与投资活动有关的现金',
    sub_total_of_ci_from_ia='投资活动现金流入小计',
    cash_paid_for_assets='购买固定资产无形资产和其他长期资产支付的现金',
    invest_paid_cash='投资支付的现金',
    net_cash_amt_from_branch='取得子公司支付的现金净额',
    othrcash_paid_relating_to_ia='支付其他与投资活动有关的现金',
    sub_total_of_cos_from_ia='投资活动现金流出小计',
    ncf_from_ia='投资活动产生的现金流量净额',
    #筹资活动产生的现金流量
    cash_received_of_absorb_invest='吸收投资收到的现金',
    cash_received_from_investor='子公司吸收少数股东投资收到的现金',
    cash_received_of_borrowing='取得借款收到的现金',
    cash_received_from_bond_issue='发行债券收到的现金',
    cash_received_of_othr_fa='收到其他与筹资活动有关的现金',
    sub_total_of_ci_from_fa='筹资活动现金流入小计',
    cash_pay_for_debt='偿还债务支付的现金',
    cash_paid_of_distribution='分配股利利润利息支付的现金',
    branch_paid_to_minority_holder='子公司支付给少数股东的股利',
    othrcash_paid_relating_to_fa='支付其他与筹资活动有关的现金',
    sub_total_of_cos_from_fa='筹资活动现金流出小计',
    ncf_from_fa='筹资活动产生的现金流量净额',
    effect_of_exchange_chg_on_cce='汇率变动对现金的影响',
    net_increase_in_cce='现金及现金等价物净增加额',
    initial_balance_of_cce='期初现金余额',
    final_balance_of_cce='期末现金余额')

indicator_lang_us = dict(
    sd='开始日期',
    ed='结束日期',
    report_date='报告日期',
    report_name='报告名称',
    report_annual='报告年度',
    report_type_code='报告代码',
    #每股指标
    basic_eps='基本每股收益',
    eps_dlt='稀释每股收益',
    nav_ps='每股净资产',
    ncf_from_oa_ps='每股现金流',
    capital_reserve='每股公积金',
    oips='每股总营收',
    revenue_ps='每股营收',
    #营运能力
    operating_cycle='营业周期',
    inventory_turnover_days='存货周转天数',
    inventory_turnover='存货周转率',
    receivable_turnover_days='应收账款周转天数',
    account_receivable_turnover='应收账款周转率',
    current_asset_turnover='流动资产周转率',
    fixed_asset_turnover_ratio='固定资产周转率',
    total_capital_turnover='总资产周转率',
    #盈利能力
    roe_avg='净资产收益率',
    net_interest_of_ta='总资产收益率',
    net_sales_rate='销售净利率',
    gross_selling_rate='销售毛利率',
    sales_cost_rate='销售成本率',
    np_to_revenue='净利润/总营收',
    income_tax_to_total_profit='所得税/利润总额',
    ncf_from_oa_to_revenue='经营活动现金流量净额/营业收入',
    #成长能力(相对年初)
    nag_respond_boy='每股净资产%',
    assets_relative_boy_growth='总资产%',
    equity_atsopc_growth_boy='归母股东权益%',
    #财务风险
    asset_liab_ratio='资产负债率',
    current_ratio='流动比率',
    quick_ratio='速动比率',
    equity_ratio='产权比率',
    equity_multiplier='权益乘数',
    flow_assets_to_total_assets='流动资产/总资产',
    noncurrent_assets_to_ta='非流动资产/总资产',
    flow_debt_to_total_debt='流动负债/总负债',
    noncurrent_liab_to_total_liab='非流动负债/总负债',
    equity_atsopc_to_total_liab='归母股东权益/总负债')

indicator_lang_cn = dict(
    report_date='报告日期',
    report_name='报告名称',
    #关键指标
    total_revenue='营业收入',
    operating_income_yoy='营收同比增长',
    net_profit_atsopc='净利润',
    net_profit_atsopc_yoy='净利润同比增长',
    net_profit_after_nrgal_atsolc='扣非净利润',
    np_atsopc_nrgal_yoy='扣非净利润同比增长',
    #每股指标
    basic_eps='每股收益',
    np_per_share='每股净资产',
    capital_reserve='每股资本公积',
    undistri_profit_ps='每股未分配利润',
    operate_cash_flow_ps='每股经营现金流',
    #盈利能力
    avg_roe='净资产收益率',
    ore_dlt='净资产收益率摊薄',
    net_interest_of_total_assets='总资产报酬率',
    rop='人力投入回报率',
    gross_selling_rate='销售毛利率',
    net_selling_rate='销售净利率',
    #财务风险
    asset_liab_ratio='资产负债率',
    current_ratio='流动比率',
    quick_ratio='速动比率',
    equity_multiplier='权益乘数',
    equity_ratio='产权比率',
    holder_equity='股东权益比率',
    ncf_from_oa_to_total_liab='现金流量比率',
    #运营能力
    inventory_turnover_days='存货周转天数',
    receivable_turnover_days='应收账款周转天数',
    accounts_payable_turnover_days='应付账款周转天数',
    cash_cycle='现金循环周期',
    operating_cycle='营业周期',
    total_capital_turnover='总资产周转率',
    inventory_turnover='存货周转率',
    account_receivable_turnover='应收账款周转率',
    accounts_payable_turnover='应付账款周转率',
    current_asset_turnover_rate='流动资产周转率',
    fixed_asset_turnover_ratio='固定资产周转率')

f10_indicator_bs = dict(
    currency='currency',
    report_date='report_date',
    pb='pb',
    operating_income_yoy='revenue_yoy',
    net_profit_atsopc_yoy='net_profit_yoy',
    total_shares='total_shares',
    market_capital='market_capital')

f10_indicator_us = dict(
    pe_ttm='pe_ttm',
    eps_dlt='eps',
    nav_ps='navps',
    total_revenue='total_revenue',
    net_profit_atsopc='net_profit',
    gross_selling_rate='gross_selling_rate',
    net_sales_rate='net_sales_rate',
    roe_avg='roe_avg',
    asset_liab_ratio='asset_liab_ratio')

f10_indicator_hk = dict(
    refccomty='',
    pe_lyr='pe_lyr',
    beps_anrpt='eps',
    navps='navps',
    tto='total_revenue',
    plocyr='net_profit',
    float_shares='float_shares',
    float_market_capital='float_market_capital')

f10_indicator_cn = dict(
    pe_ttm='pe_ttm',
    basic_eps='eps',
    np_per_share='navps',
    total_revenue='total_revenue',
    net_profit_atsopc='net_profit',
    gross_selling_rate='gross_selling_rate',
    net_selling_rate='net_selling_rate',
    avg_roe='roe_avg',
    asset_liab_ratio='asset_liab_ratio',
    dividend='dividend',
    dividend_yield='dividend_yield',
    float_shares='float_shares',
    float_market_capital='float_market_capital')

margin = dict(
    tdate='日期',
    close='收盘-沪深300',
    zdf='涨跌幅',
    zdf3='涨跌幅3日',
    zdf5='涨跌幅5日',
    zdf10='涨跌幅10日',
    rzye='融资余额',
    rzyezb='融资余额占比',
    rzmre='融资买入额',
    rzmre3='融资买入额3日',
    rzmre5='融资买入额5日',
    rzmre10='融资买入额10日',
    rzche='融资偿还额',
    rzche3='融资偿还额3日',
    rzche5='融资偿还额5日',
    rzche10='融资偿还额10日',
    rzjmre='融资净买入额',
    rzjmre3='融资净买入额3日',
    rzjmre5='融资净买入额5日',
    rzjmre10='融资净买入额10日',
    rqye='融券余额',
    rqyl='融券余量',
    rqmcl='融券卖出量',
    rqmcl3='融券卖出量3日',
    rqmcl5='融券卖出量5日',
    rqmcl10='融券卖出量10日',
    rqchl='融券偿还量',
    rqchl3='融券偿还量3日',
    rqchl5='融券偿还量5日',
    rqchl10='融券偿还量10日',
    rqjmcl='融券净卖出量',
    rqjmcl3='融券净卖出量3日',
    rqjmcl5='融券净卖出量5日',
    rqjmcl10='融券净卖出量10日',
    rzrqye='融资融券余额',
    rzrqyecz='融资融券余额差值')

hsgt = dict(
    DetailDate='日期',
    DRZJLR='当日资金流入',
    DRYE='当日余额',
    LSZJLR='历史资金累计流入',
    DRCJJME='当日成交净买额',
    MRCJE='买入成交额',
    MCCJE='卖出成交额',
    LCG='领涨股',
    LCGCode='代码',
    LCGZDF='领涨股涨跌幅',
    SSEChange='指数',
    SSEChangePrecent='涨跌幅')

hsgt_hold = dict(
    HDDATE='日期',
    SCODE='代码',
    SNAME='名称',
    CLOSEPRICE='收盘价',
    ZDF='涨跌幅',
    SHAREHOLDSUM='持股数量',
    ShareHoldSumChg='持股数量变化',
    SHAREHOLDPRICE='持股市值',
    SHARESRATE='持股占A股比例',
    SHAREHOLDPRICEONE='持股市值变化1日',
    SHAREHOLDPRICEFIVE='持股市值变化5日',
    SHAREHOLDPRICETEN='持股市值变化10日')

income_lang = dict(
    cn=income_lang_cn,
    hk=income_lang_hk,
    us=income_lang_us)

balance_lang = dict(
    cn=balance_lang_cn,
    hk=balance_lang_hk,
    us=balance_lang_us)

cash_flow_lang = dict(
    cn=cash_flow_lang_cn,
    hk=cash_flow_lang_hk,
    us=cash_flow_lang_us)

indicator_lang = dict(
    cn=indicator_lang_cn,
    hk=None,
    us=indicator_lang_us)

f10_indicator_ks = dict(
    base=f10_indicator_bs,
    cn=f10_indicator_cn,
    hk=f10_indicator_hk,
    us=f10_indicator_us)

spindices = dict(
    #规模
    cssp50='5457821',    #标普中国A50指数RMB
    csp100='5457815',    #标普中国A100指数RMB
    csp200='5457817',    #标普中国A200指数RMB
    csp300='5457819',    #标普中国A300指数RMB
    csp500eur='92030324', #标普中国500指数EUR
    csp500usd='92030325', #标普中国500指数USD
    spncschp='92366266', #标普新中国行业指数(A股上限15%)HKD
    spncscup='92366265', #标普新中国行业指数(A股上限15%)USD
    spcsxahp='92352459', #标普新中国行业指数(除A股)HKD
    spcsxaup='92351698', #标普新中国行业指数(除A股)USD
    #跨境
    spcqxtd='5475402',   #标普大中华bmi指数(除台湾)usd
    spcqhktd='2322750',  #标普全大中华国内bmi指数usd*
    spcqhkd='5475375',   #标普中国和香港bmi指数usd
    sptcqhkd='2311038',  #标普全中国+香港bmi指数usd*
    djchos50='1798569',  #道琼斯中国离岸50指数
    sphcmshp='92030268', #标普香港中国中小盘指数
    spcqlhd='5475384',   #标普香港上市中概股bmi指数usd
    spacncp='92026363',  #标普沪港通北向指数*
    spcrd30='5458359',   #标普中国港股30指数rmb
    splc50up='92029778', #标普美国中概股50指数usd
    splc50cp='92029775', #标普美国中概股50指数rmb
    #沪深港通
    spac50cp='92029744', #标普直通中国a50指数
    spahkup='92319823',  #标普直通香港指数usd*
    spahkhp='92319825',  #标普直通香港指数hkd*
    spahkcp='92319821',  #标普直通香港指数rmb*
    spacaup='92319465',  #标普直通中国a股指数usd*
    spacahp='92319479',  #标普直通中国a股指数hkd*
    spacacp='92319464',  #标普直通中国a股指数rmb*
    #大盘股
    scrtcn='5520649',    #标普中国bmi指数usd
    spcqxsd='5475393',   #标普中国(除ab股)bmi指数usd
    spcqbmi='2286509',   #标普中国a股bmi指数rmb*
    spcqabbmi='2300040', #标普中国a股+b股bmi指数*
    sptcqbmi='2288328',  #标普全中国国内bmi指数usd*
    spccashr='785146',   #标普中国a股综合指数
    spcaxfup='92353802', #标普中国a股大中盘指数usd
    spncshp='92315890',  #标普新中国行业指数hkd
    spncsup='92279260',  #标普新中国行业指数
    djchn88='100587981', #道琼斯中国88指数
    hksplc25='5475858',  #s&p/hkex大盘股指数hkd
    #小盘股
    hkspgem='5475857',   #s&p/hkex创业板指数hkd
    spcveup='92332999',  #标普中国a股创业指数
    cspsc='5458461',     #标普中国a股小盘指数
    #风格
    csp100v='5474417',   #标普中国a100价值
    csp100g='5474411',   #标普中国a100成长
    csp100pv='5474415',  #标普中国a100纯价值
    csp100pg='5474413',  #标普中国a100纯成长
    csp200v='5474425',   #标普中国a200价值
    csp200g='5474419',   #标普中国a200成长
    csp200pv='5474423',  #标普中国a200纯价值
    csp200pg='5474421',  #标普中国a200纯成长
    csp300v='5474433',   #标普中国a300价值
    csp300g='5474427',   #标普中国a300成长
    csp300pv='5474431',  #标普中国a300纯价值
    csp300pg='5474429',  #标普中国a300纯成长
    cspscv='5474441',    #标普中国a股小盘价值
    cspscg='5474435',    #标普中国a股小盘成长
    cspscpv='5474439',   #标普中国a股小盘纯价值
    cspscpg='5474437',   #标普中国a股小盘纯成长
    #策略
    sp5mv='1405830',     #标普500最小波动
    sp5ceup='92364883',  #标普500碳效率
    spgrcuu='5475709',   #标普500碳效率精选
    sp5lvi='5475134',    #标普500低波 sp5lveup低波增强
    sp5lvhd='1159383',   #标普500低波红利
    spxcldep='92279581', #标普500低碳低波红利
    spxltbup='92033433', #标普500低波目标贝塔Low Vol Target Beta
    sp5hbi='5475130',    #标普500高贝
    spxhbdup='92320842', #标普500高贝高股息
    sp500mup='92024474', #标普500动量
    spxvmoup='92330652', #标普500动量价值
    spxhmvsr='92364852', #标普500动量价值行业轮动
    spxevup='92028698',  #标普500增强价值
    spxqup='91920515',   #标普500质量
    spxqhdup='92351466', #标普500质量高股息
    spxqvmup='92321176', #标普500质量价值动量多因子
    spxhdup='92031893',  #标普500红利
    spdaudp='5458465',   #标普500红利贵族
    sp4lvi='1159360',    #标普400低波
    sp4lvhd='92346564',  #标普400低波红利 SPMLHUP
    sp4hbi='92321164',   #标普400高贝
    spmmup='92346586',   #标普400动量
    spmvmoup='92367079', #标普400动量价值
    sp4evup='92346588',  #标普400增强价值 SPMEVUP
    spmqup='92346566',   #标普400质量
    spdamcup='92025036', #标普400红利贵族
    sp6lvi='1159363',    #标普600低波
    sp6lvhd='92317231',  #标普600低波红利 SPC6LHUP
    sp6hbi='92321165',   #标普600高贝
    sp6mup='92347267',   #标普600动量
    spsvmoup='92367088', #标普600动量价值
    sp6evup='92347280',  #标普600增强价值
    sp6qup='92330656',   #标普600质量
    sphyda='2325',       #标普高收益红利贵族
    spgdaup='1692178',   #S&P Global Dividend Aristocrats
    spgtgdo='5475766',   #S&P Global Dividend Opportunities
    djhksd='3231529',    #道琼斯香港精选红利30
    spahlvcp='92321367', #标普港股通低波红利
    cspsadrp='5625108',  #标普中国a股红利
    spcadmcp='92349977', #标普中国a股红利动量*
    spcalvcp='92353636', #标普中国a股低波
    spcalhcp='92353014', #标普中国a股低波红利
    spcaqcp='92353632',  #标普中国a股质量
    spcqvcp='92340542',  #标普中国a股质量价值
    spcaevcp='92353637', #标普中国a股增强价值
    spacevup='92331490', #标普沪港深中国增强价值usd
    spacevhp='92331485', #标普沪港深中国增强价值hkd
    spacevcp='92331483', #标普沪港深中国增强价值rmb
    #美国
    djiew='92321353',    #道琼斯工业平均等权重指数
    djiyw='92033439',    #道琼斯工业平均股息加权指数
    djia='1720081',      #道琼斯工业平均指数*
    djta='100003017',    #道琼斯运输平均指数*
    djua='100003020',    #道琼斯公用事业平均指数*
    djca='100003008',    #道琼斯综合指数*
    sp50='92033453',     #标普50*
    sp100='2431',        #标普100*
    sp100ew='2429',      #标普100等权重*
    spx='340',           #标普500
    spxhkd='92025788',   #标普500hkd
    spxcnyp='92346676',  #标普500rmb
    spxew='370',         #标普500等权重*
    spxrevw='37003713',  #标普500收入加权
    sp400='410',         #标普中盘400*
    sp400ew='388',       #标普中盘400等权重
    sp400revw='37001111',#标普中盘400收入加权
    sp600='2239',        #标普小盘600*
    sp600ew='2037',      #标普小盘600等权重
    sp600revw='37002215',#标普小盘600收入加权
    sp900='857',         #标普900
    sp1000='1608',       #标普1000*
    sp1500='1636',       #标普1500*
    spcmi='2750',        #标普全指除sp500
    sptmi='2762',        #标普综指=spcmi+sp500
    #美国风格
    sp500g='2029',       #标普500成长
    sp500v='2034',       #标普500价值
    sp500pg='2030',      #标普500纯成长
    sp500pv='2032',      #标普500纯价值
    sp400g='1973',       #标普400成长
    sp400v='1979',       #标普400价值
    sp400pg='1975',      #标普400纯成长
    sp400pv='1977',      #标普400纯价值
    sp600g='2240',       #标普600成长
    sp600v='2246',       #标普600价值
    sp600pg='2242',      #标普600纯成长
    sp600pv='2244',      #标普600纯价值
    sp900g='1833',       #标普900成长
    sp900v='1839',       #标普900价值
    sp900pg='1835',      #标普900纯成长
    sp900pv='1837',      #标普900纯价值
    sp1000g='1609',      #标普1000成长
    sp1000v='1615',      #标普1000价值
    sp1000pg='1611',     #标普1000纯成长
    sp1000pv='1613',     #标普1000纯价值
    sp1500g='1637',      #标普1500成长
    sp1500v='1643',      #标普1500价值
    sp1500pg='1639',     #标普1500纯成长
    sp1500pv='1641',     #标普1500纯价值
    #美国行业
    spxxttsp='92030239', #标普500除通信服务和信息技术
    spxxcmup='92354017', #标普500除通讯服务
    spxxtsup='92354012', #标普500除信息技术
    spxxhcp='92030260',  #标普500除医疗保健
    spxxcsp='92030248',  #标普500除主要消费
    spxxcdp='92030257',  #标普500除可选消费
    spxxtp='92035472',   #标普500除烟草Tobacco
    spxxfu='92035480',   #标普500除金融(new)
    spxxfisp='92319291', #标普500除金融
    spxxfinp='92030250', #标普500除金融房地产
    spxxretp='92319292', #标普500除房地产
    spxxindp='92030244', #标普500除工业
    spxxmp='92030242',   #标普500除材料
    spxxegp='92030243',  #标普500除能源
    spxxutip='92030247', #标普500除公用事业
    spx450up='92354118', #标普500通信服务和信息技术
    spxtels='339',       #标普500通信服务
    spxinft='307',       #标普500信息技术*
    spxhlth='253',       #标普500医疗保健
    spxcons='213',       #标普500主要消费
    spxcond='139',       #标普500可选消费
    spxre='2436',        #标普500房地产
    spxf='279',          #标普500金融
    spxindu='81',        #标普500工业
    spxmatr='41',        #标普500材料
    spxe='25',           #标普500能源
    spxutil='356',       #标普500公用事业
    spsvcp='92351609',   #标普500通信服务35/20
    spsvitp='92289034',  #标普500信息技术35/20
    spsvhcp='92289037',  #标普500医疗保健35/20
    spsvcsp='92289046',  #标普500主要消费35/20
    spsvcdp='92289028',  #标普500可选消费35/20
    spsvrep='92289031',  #标普500房地产35/20
    spsvfp='92289026',   #标普500金融35/20
    spsvip='92289040',   #标普500工业35/20
    spsvmp='92289021',   #标普500材料35/20
    spsvep='92289029',   #标普500能源35/20
    spsvulp='92320816',  #标普500公用事业35/20
    spsvutp='92289023',  #标普500公用事业&电信35/20
    spxtelsew='379',     #标普500等权通信服务
    spxinftew='378',     #标普500等权信息技术
    spxhlthew='376',     #标普500等权医疗保健*
    spxconsew='375',     #标普500等权主要消费
    spxcondew='374',     #标普500等权可选消费
    spxreew='92029326',  #标普500等权房地产
    spxfew='377',        #标普500等权金融
    spxinduew='373',     #标普500等权工业
    spxmatrew='372',     #标普500等权材料
    spxeew='371',        #标普500等权能源
    spxutilewp='381',    #标普500等权公用事业plus
    spxutilew='380',     #标普500等权公用事业
    spsdcsup='92353697', #标普通讯服务25/20
    spsdtup='92354040',  #标普信息技术25/20
    spsdvup='92354034',  #标普医疗保健25/20
    spsdrup='92354025',  #标普主要消费25/20
    spsdyup='92354031',  #标普可选消费25/20
    spsdreup='92354028', #标普房地产25/20
    spsdmup='92354043',  #标普金融25/20
    spsdiup='92354046',  #标普工业25/20
    spsdbup='92354049',  #标普材料25/20
    spsdeup='92354052',  #标普能源25/20
    spsduup='92354037',  #标普公用事业25/20
    spsucsup='92352997', #标普通讯服务上限20
    spsutp='16362',      #标普信息技术上限20
    spsuhcp='16353',     #标普医疗保健上限20
    spsucsp='16344',     #标普主要消费上限20
    spsucdp='16341',     #标普可选消费上限20
    spsurp='92033394',   #标普房地产上限20
    spsufp='16350',      #标普金融上限20
    spsuip='16356',      #标普工业上限20
    spsump='16359',      #标普材料上限20
    spsuep='16347',      #标普能源上限20
    spsuup='16365',      #标普公用事业上限20
    ixcpr='92351596',    #标普通讯服务
    ixt='57246',         #标普信息技术
    ixv='57250',         #标普医疗保健
    ixr='57244',         #标普主要消费
    ixy='57252',         #标普可选消费
    ixre='92030233',     #标普房地产
    ixm='57242',         #标普金融
    ixi='57240',         #标普工业
    ixb='57236',         #标普材料
    ixe='57238',         #标普能源
    ixu='57248',         #标普公用事业
    spsite='2361',       #标普电信
    spsiad='2327',       #标普航空航天国防
    djintcup='92361671', #道琼斯国际互联网
    spsiin='92247637',   #标普互联网
    spsiss='57168',      #标普软件与服务
    spsisc='2359',       #标普半导体
    spsich='2333',       #标普计算机硬件
    spsibi='2331',       #标普生物科技
    spsiph='2355',       #标普制药
    spsihe='2339',       #标普医疗保健设备
    spsihp='2343',       #标普医疗保健服务
    spsifbup='2337',     #标普食品饮料
    spsire='2357',       #标普零售业
    spsiins='57092',     #标普保险
    spsibk='57088',      #标普银行
    spsirbk='57096',     #标普区域银行
    spsicm='57090',      #标普资本市场
    spsiho='2341',       #标普建筑商
    spsimm='2347',       #标普金属采矿
    spsitn='2363',       #标普交通运输
    spsiop='2351',       #标普石油和天然气勘探和生产
    spsios='2353',       #标普石油和天然气设备和服务
)